Bug 1316602 - [abrt] geany: markdown_config_get_template_text(): geany killed by SIGSEGV
[abrt] geany: markdown_config_get_template_text(): geany killed by SIGSEGV
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: geany (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Josef Bacik
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:365cefe440ed9dfed2e708b705c...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-10 10:06 EST by Andrey V. Henneberg
Modified: 2016-08-01 12:22 EDT (History)
5 users (show)

See Also:
Fixed In Version: geany-1.28-2.fc24 geany-1.28-2.fc23 geany-1.28-2.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-12 16:25:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (33.87 KB, text/plain)
2016-03-10 10:06 EST, Andrey V. Henneberg
no flags Details
File: cgroup (200 bytes, text/plain)
2016-03-10 10:06 EST, Andrey V. Henneberg
no flags Details
File: core_backtrace (2.32 KB, text/plain)
2016-03-10 10:06 EST, Andrey V. Henneberg
no flags Details
File: dso_list (15.22 KB, text/plain)
2016-03-10 10:06 EST, Andrey V. Henneberg
no flags Details
File: environ (1.43 KB, text/plain)
2016-03-10 10:06 EST, Andrey V. Henneberg
no flags Details
File: limits (1.29 KB, text/plain)
2016-03-10 10:06 EST, Andrey V. Henneberg
no flags Details
File: maps (73.59 KB, text/plain)
2016-03-10 10:06 EST, Andrey V. Henneberg
no flags Details
File: mountinfo (3.36 KB, text/plain)
2016-03-10 10:06 EST, Andrey V. Henneberg
no flags Details
File: namespaces (85 bytes, text/plain)
2016-03-10 10:06 EST, Andrey V. Henneberg
no flags Details
File: open_fds (1.06 KB, text/plain)
2016-03-10 10:06 EST, Andrey V. Henneberg
no flags Details
File: proc_pid_status (1.04 KB, text/plain)
2016-03-10 10:06 EST, Andrey V. Henneberg
no flags Details
File: var_log_messages (305 bytes, text/plain)
2016-03-10 10:06 EST, Andrey V. Henneberg
no flags Details
File: exploitable (168 bytes, application/octet-stream)
2016-03-10 10:06 EST, Andrey V. Henneberg
no flags Details

  None (edit)
Description Andrey V. Henneberg 2016-03-10 10:06:01 EST
Version-Release number of selected component:
geany-1.26-1.fc23

Additional info:
reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/bin/geany
crash_function: markdown_config_get_template_text
executable:     /usr/bin/geany
global_pid:     15137
kernel:         4.4.3-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (7 frames)
 #0 markdown_config_get_template_text at conf.c:687
 #1 template_replace at viewer.c:227
 #2 markdown_viewer_get_html at viewer.c:340
 #3 markdown_viewer_update_view at viewer.c:354
 #8 gtk_main at gtkmain.c:1268
 #9 main_lib at libmain.c:1229
 #11 _start
Comment 1 Andrey V. Henneberg 2016-03-10 10:06:07 EST
Created attachment 1134914 [details]
File: backtrace
Comment 2 Andrey V. Henneberg 2016-03-10 10:06:09 EST
Created attachment 1134915 [details]
File: cgroup
Comment 3 Andrey V. Henneberg 2016-03-10 10:06:10 EST
Created attachment 1134916 [details]
File: core_backtrace
Comment 4 Andrey V. Henneberg 2016-03-10 10:06:12 EST
Created attachment 1134917 [details]
File: dso_list
Comment 5 Andrey V. Henneberg 2016-03-10 10:06:14 EST
Created attachment 1134918 [details]
File: environ
Comment 6 Andrey V. Henneberg 2016-03-10 10:06:16 EST
Created attachment 1134919 [details]
File: limits
Comment 7 Andrey V. Henneberg 2016-03-10 10:06:18 EST
Created attachment 1134920 [details]
File: maps
Comment 8 Andrey V. Henneberg 2016-03-10 10:06:20 EST
Created attachment 1134921 [details]
File: mountinfo
Comment 9 Andrey V. Henneberg 2016-03-10 10:06:22 EST
Created attachment 1134922 [details]
File: namespaces
Comment 10 Andrey V. Henneberg 2016-03-10 10:06:23 EST
Created attachment 1134923 [details]
File: open_fds
Comment 11 Andrey V. Henneberg 2016-03-10 10:06:25 EST
Created attachment 1134924 [details]
File: proc_pid_status
Comment 12 Andrey V. Henneberg 2016-03-10 10:06:26 EST
Created attachment 1134925 [details]
File: var_log_messages
Comment 13 Andrey V. Henneberg 2016-03-10 10:06:28 EST
Created attachment 1134926 [details]
File: exploitable
Comment 14 Fedora Update System 2016-07-11 06:56:46 EDT
geany-1.28-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-bc288ce5ae
Comment 15 Fedora Update System 2016-07-11 06:57:34 EDT
geany-1.28-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-2bdc17945b
Comment 16 Fedora Update System 2016-07-11 06:58:01 EDT
geany-1.28-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-0953f0b536
Comment 17 Fedora Update System 2016-07-11 06:58:28 EDT
geany-1.28-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-d68edce8de
Comment 18 Fedora Update System 2016-07-11 22:53:38 EDT
geany-1.28-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-0953f0b536
Comment 19 Fedora Update System 2016-07-11 23:27:01 EDT
geany-1.28-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-d68edce8de
Comment 20 Fedora Update System 2016-07-11 23:54:58 EDT
geany-1.28-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-bc288ce5ae
Comment 21 Fedora Update System 2016-07-11 23:58:38 EDT
geany-1.28-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-2bdc17945b
Comment 22 Fedora Update System 2016-07-12 16:25:03 EDT
geany-1.28-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 23 Fedora Update System 2016-07-19 18:21:52 EDT
geany-1.28-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 24 Fedora Update System 2016-08-01 12:21:52 EDT
geany-1.28-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.